DELETE /api/agent_builder/tools/{toolId}

Spaces method and path for this operation:

delete /s/{space_id}/api/agent_builder/tools/{toolId}

Refer to Spaces for more information.

Delete a tool by ID. This action cannot be undone. To learn more, refer to the tools documentation.

[Required authorization] Route required privileges: manage_onechat.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • toolId string Required

    The unique identifier of the tool to delete.

Responses

  • 200 application/json

    Indicates a successful response

DELETE /api/agent_builder/tools/{toolId}
curl \
  -X DELETE "https://${KIBANA_URL}/api/agent_builder/tools/{toolId}" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
DELETE kbn:/api/agent_builder/tools/{toolId}
Response examples (200)
Example response showing that the deletion operation was successful
{
  "success": true
}